# Částečně uspořádané množiny

**Uspořádání** na množině $X$ je libovolná relace na $X$, která je **reflexivní**, slabě **antisymetrická** a **tranzitivní**.

Je-li $R$ uspořádání na množině $X$, pak dvojice $(X, R)$ se nazývá **uspořádaná množina**. Jsou-li prvky $x, y$ v relaci $R$ (tedy $x \, R \, y$), interpretujeme to slovy "**prvek x je menší nebo roven prvku y**".

Z uvedené definice se uspořádáním říká také **neostrá uspořádání**, protože pro každé $x$ platí $x \, R \, x$. (U ostrého uspořádání bychom místo reflexivity vyžadovali antireflexitu)

## Porovnatelnost prvků

Nechť $x, y$ jsou dva prvky uspořádané množiny $(X, \leq)$. Platí-li $x \leq y$ nebo $y \leq x$, jsou prvky $x, y$ **porovnatelné**, v opačném případě **neporovnatelné**.

Uspořádání $\leq$ se často označuje jako **částečné** (POSET), protože definice připouští existenci dvojic neporovnatelných prvků.

## Hasseův diagram

Hasseův diagram uspořádané množiny $(X, \leq)$ je znázornění, ve kterém **pro každou dvojici prvků** $x, y \in X$ platí $x \triangleleft y$, právě když $x, y$ jsou spojeny čarou a prvek $y$ **je nakreslen výše** než $x$.

Spojnice není nutná opatřovat šipkou, protože směr je jednoznačně dán.

**Nezakreslujeme**
- relace prvků, které jsou v relaci díky tranzitivitě
- smyčky u vrcholů (reflexivita)
### Bezprostřední předchůdce

Nechť $x, y$ jsou prvky uspořádané množiny $(X, \leq)$. Prvek $x$ je **bezprostředním předchůdcem** prvku $y$ (psáno $x \triangleleft y$), pokud $x \leq y$ a **neexistuje žádné** $z \in X - \{x,y\}$, pro které by platilo $x \leq z \leq y$.

Na vztah $\triangleleft$ se můžeme dívat jako na relaci na množině $X$ (tzv. **relace bezprostředního
předcházení**). Tato relace obecně není reflexívní ani tranzitivní.

## Základní pojmy

**Největší prvek**
- $a \in X$, pokud pro každé $x \in X$ platí $x \leq a$
- musí být maximálním prvkem
- nemusí existovat, případně určen jednoznačně

**Nejmenší prvek**
- $a \in X$, pokud pro každé $x \in X$ platí $a \leq x$
- musí být minimálním prvkem
- nemusí existovat, případně určen jednoznačně

**Maximální prvek**
- $a \in X$, pokud pro žádné $x \in X$ není $a \leq x$
- prvky, které nejsou v relaci se žádným větším prvkem
- může jich být více

**Minimální prvek**
- $a \in X$, pokud pro žádné $x \in X$ není $x \leq a$
- prvky, které nejsou v relaci se žádným menším prvkem
- může jich být více

**Supremum**
- nejmenší horní závora prvků $x, y \in X$
- prvek $s \in X$ s vlastnostmi
	- $x \leq s$ a $y \leq s$ (je horní závorou)
	- je-li $x \leq z$ a $y \leq z$ pro nějaké $z \in X$, pak $s \leq z$ (je nejmenší horní závorou)

**Infimum**
- největší dolní závora prvků $x, y \in X$
- prvek $i \in X$ s vlastnostmi
	- $i \leq x$ a $i \leq y$ (je dolní závorou)
	- je-li $z \leq x$ a $z \leq y$ pro nějaké $z \in X$, pak $z \leq i$ (je největší dolní závorou)

**Duální POSET** $\mathcal P^{d} = (X, \mathcal P^d)$ k POSETu $\mathcal P$
- $P^d = \{ (x,y) \mid (x, y) \in \, \leq \}$
- Pokud pro POSET $\mathcal P$ existuje Hasseův diagram, pak Hasseův diagram pro $\mathcal P^d$ získáme jeho otočením "vzhůru nohama".
- Relace $\mathcal P^d$ je inverzní k relaci $\mathcal P$.

TODO: Podposet