# Číselné množiny

$$\emptyset \subset \mathbb{N} \subset \mathbb{N}_{0} \subset \mathbb{Z} \subset \mathbb{Q} \subset \mathbb{R} \subset \mathbb{R}^* \quad \mathbb{R}^* = \mathbb{R} \, \cup \{ -\infty, +\infty \}$$
Mějme neprázdnou množinu $A \subset \mathbb{R}$.

### Omezenost

| značka | typ           | podmínka                                                          |
| ------ | ------------- | ----------------------------------------------------------------- |
| **OZ** | omezená zdola | $\exists \, d \in \mathbb{R} \quad \forall \, x \in A : d \leq x$ |
| **OS** | omezená shora | $\exists \, h \in \mathbb{R} \quad \forall \, x \in A : x \leq h$ |
| **O**  | omezená       | omezená shora i zdola                                             |

### Minimum, maximum

| typ     | podmínka                                                 | zápis         |
| ------- | -------------------------------------------------------- | ------------- |
| minimum | $\exists \, a \in A \quad \forall \, x \in A : a \leq x$ | $a = \min(A)$ |
| maximum | $\exists \, b \in A \quad \forall \, x \in A : x \leq b$ | $b = \max(A)$ |

### Infimum, supremum

Množina $A$ má **infimum**, pokud existuje $i \in \mathbb{R}^*$ takové, že platí
1) $\forall \, x \in A : i \leq x$,
2) $\forall \, x_{1} \in \mathbb{R} : i < x_{1} \implies (\exists \, x_{2} \in A : x_{2} < x_{1})$,
- píšeme $i = \inf(A)$.

Množina $A$ má **supremum**, pokud existuje $s \in \mathbb{R}^*$ takové, že platí
1) $\forall \, x \in A : x \leq s$,
2) $\forall \, x_{1} \in \mathbb{R} : x_{1} < s \implies (\exists \, x_{2} \in A : x_{1} < x_{2})$,
- značíme $s = \sup(A)$.

Pro každou neprázdnou množinu $A \subset \mathbb{R}$ platí
1) $\exists! \, \inf A, \quad \exists! \, \sup A$,
2) $\inf A \leq \sup A$,
3) $\exists \, \min A \implies \inf A = \min A$,
4) $\exists \, \max A \implies \sup A = \max A$,
5) $A$ není omezená zdola $\Leftrightarrow \inf A = -\infty$,
6) $A$ není omezená shora $\Leftrightarrow \sup A = +\infty$.